From b100fdde9ecd6ba4e30eb149f89f83b091866977 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 10 2017 18:12:49 +0000
Subject: [PATCH 798/1001] Reload the page when the config changed


---

diff --git a/hubs/static/client/app/core/HubConfig.jsx b/hubs/static/client/app/core/HubConfig.jsx
index 346392e..73cbc7a 100644
--- a/hubs/static/client/app/core/HubConfig.jsx
+++ b/hubs/static/client/app/core/HubConfig.jsx
@@ -57,6 +57,7 @@ export default class HubConfig extends React.Component {
       hubConfig: {},
       generalConfig: {},
       dirty: false,
+      mustReload: false,  // the settings were changed at least once
       error: null,
       loading: false
     }
@@ -111,6 +112,7 @@ export default class HubConfig extends React.Component {
     this.setState({
       hubConfig: config,
       dirty: true,
+      mustReload: true,
     }, function() {
       window.clearTimeout(this.pushTimer);
       this.pushTimer = window.setTimeout(this.pushState, 1000);
@@ -123,6 +125,12 @@ export default class HubConfig extends React.Component {
 
   componentWillUnmount() {
     if (this.serverRequest) { this.serverRequest.abort(); }
+    if (this.state.mustReload) {
+      // The configuration was changed but the current display may not
+      // reflect it (for example, the displayed summary may be the old one).
+      // The only way to make the changes visible is to reload the page.
+      window.location = window.location;
+    }
   }
 
   render() {

